Subject: Re: Egit/Jgit support for relocated .git directories

From: Robin Rosenberg <[email-masked]>
Date: Sat, 07 Jul 2012 12:18:12 +0200

Chris Packham skrev 2012-06-26 10.18:
> Hi,
>
> This is a bit of a secondhand bug report/query so sorry if the details
> are a bit sketchy.
>
> Since git 1.7.8:
>
> ``When populating a new submodule directory with "git submodule init",
> the $GIT_DIR metainformation directory for submodules is created inside
> $GIT_DIR/modules/<name>/ directory of the superproject and referenced
> via the gitfile mechanism. This is to make it possible to switch
> between commits in the superproject that has and does not have the
> submodule in the tree without re-cloning.''
>
> I've had several colleagues at work tell me that with the relocated
> $GIT_DIR the Egit integration with eclipse doesn't work. I can't really
> qualify "doesn't work" but from what I've been told importing the
> project works but blaming/annotating doesn't.
>
> I believe the gitfile mechanism isn't new but it possibly hasn't been
> used by many Egit/Jgit users. Can anyone confirm if it is supported by
> Egit/Jgit (and I'm barking up the wrong tree).

It is supported. There is however a commit as late as in May that relates
to gitfile, so you may need 2.0.

-- robin